List a market documents
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/downstream/markets/{upstreamDownstreamAssociationId}/documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/downstream/markets/{upstreamDownstreamAssociationId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/downstream/markets/{upstreamDownstreamAssociationId}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"fileDocumentId": "66a1b2c3d4e5f6a7b8c9d0e3",
"name": "E&O Policy",
"category": "E&O",
"versions": [
{
"s3VersionId": "xN3TmQ8bJ0dY5fLpQ2rV9wK1sA6cE4hZ",
"metadataModel": "EAndOPolicy",
"size": 284913,
"mimeType": "application/pdf",
"originalFileName": "example-eando-2026.pdf"
}
],
"isSharedByCarrier": false,
"subCategory": "Surplus lines affidavit",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-06-02T08:12:44.000Z"
}
],
"total": 137,
"page": 1,
"limit": 50,
"totalPages": 3
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Markets
List a Market's Documents
The files shared on one carrier relationship
GET
/
v2
/
downstream
/
markets
/
{upstreamDownstreamAssociationId}
/
documents
List a market documents
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/downstream/markets/{upstreamDownstreamAssociationId}/documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/downstream/markets/{upstreamDownstreamAssociationId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/downstream/markets/{upstreamDownstreamAssociationId}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"fileDocumentId": "66a1b2c3d4e5f6a7b8c9d0e3",
"name": "E&O Policy",
"category": "E&O",
"versions": [
{
"s3VersionId": "xN3TmQ8bJ0dY5fLpQ2rV9wK1sA6cE4hZ",
"metadataModel": "EAndOPolicy",
"size": 284913,
"mimeType": "application/pdf",
"originalFileName": "example-eando-2026.pdf"
}
],
"isSharedByCarrier": false,
"subCategory": "Surplus lines affidavit",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-06-02T08:12:44.000Z"
}
],
"total": 137,
"page": 1,
"limit": 50,
"totalPages": 3
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Returns the documents attached to one market: compliance policies matched to this relationship, and files the carrier has shared with you.
Metadata only. For a row that is one of your compliance documents, pass its id and this marketβs id to Get a Download URL for a Document as
upstreamDownstreamAssociationId to fetch the copy this market holds. Files the carrier shared into the relationship (isSharedByCarrier: true) are not downloadable through that route.Authorizations
bearerrestricted-access-token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the market (the upstreamDownstreamAssociationId returned by the List Markets endpoint).
Example:
"6627f1a9c2e0a51b8c0d4e3a"
Query Parameters
1-based page number
Required range:
x >= 1Example:
1
Page size (max 100)
Required range:
1 <= x <= 100Example:
50
Was this page helpful?